# Makefile.in generated by automake 1.9.6 from Makefile.am.
# Makefile. Generated from Makefile.in by configure.
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
# Makefile.am for PLplot
###
### Process this file with automake to produce Makefile.in
###
# Copyright (C) 2002, 2003, 2004 Alan W. Irwin
# Copyright (C) 2003 Joao Cardoso
# Copyright (C) 2003, 2004 Rafael Laboissiere
# Copyright (C) 2005 Thomas J. Duck
#
# This file is part of PLplot.
#
# PLplot is free software; you can redistribute it and/or modify
# it under the terms of the GNU Library General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# PLplot is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with PLplot; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
# This flag only required for top-level Makefile.am.
# It insures you only have to run cf/bootstrap.sh once on the first
# clean install. After that, aclocal (and automake, autoconf, and
# ./configure) called automatically whenever required by a change to
# configure.ac or any file in the cf subdirectory.
srcdir = .
top_srcdir = .
pkgdatadir = $(datadir)/plplot
pkglibdir = $(libdir)/plplot
pkgincludedir = $(includedir)/plplot
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -o root -g wheel
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i386-unknown-gnu
host_triplet = i386-unknown-gnu
am__append_1 = libltdl
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
$(srcdir)/Makefile.in $(srcdir)/config.h.in \
$(top_srcdir)/bindings/tk-x-plat/pkgIndex.tcl.in \
$(top_srcdir)/configure \
$(top_srcdir)/doc/docbook/bin/api2man.pl.in \
$(top_srcdir)/doc/docbook/www/index.html.in.in AUTHORS \
COPYING.LIB ChangeLog INSTALL NEWS
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/cf/ac_pkg_swig.m4 \
$(top_srcdir)/cf/ac_python_devel.m4 \
$(top_srcdir)/cf/acinclude.m4 $(top_srcdir)/cf/docbook.m4 \
$(top_srcdir)/cf/gnome.m4 $(top_srcdir)/cf/gnu-make.m4 \
$(top_srcdir)/cf/gtk.m4 $(top_srcdir)/cf/pkg.m4 \
$(top_srcdir)/cf/double.ac $(top_srcdir)/cf/rpath.ac \
$(top_srcdir)/cf/instdirs.ac $(top_srcdir)/cf/c++.ac \
$(top_srcdir)/cf/f77.ac $(top_srcdir)/cf/f95.ac \
$(top_srcdir)/cf/libtool.ac $(top_srcdir)/cf/python.ac \
$(top_srcdir)/cf/java.ac $(top_srcdir)/cf/swig.ac \
$(top_srcdir)/cf/octave.ac $(top_srcdir)/cf/tcl.ac \
$(top_srcdir)/cf/pdl.ac $(top_srcdir)/cf/pthread.ac \
$(top_srcdir)/cf/freetype.ac $(top_srcdir)/cf/unicode.ac \
$(top_srcdir)/cf/csiro.ac $(top_srcdir)/cf/pkg-config.ac \
$(top_srcdir)/cf/drivers-init.ac $(top_srcdir)/cf/cgm.ac \
$(top_srcdir)/cf/gcw.ac $(top_srcdir)/cf/gd.ac \
$(top_srcdir)/cf/gnome.ac $(top_srcdir)/cf/linuxvga.ac \
$(top_srcdir)/cf/xwin.ac $(top_srcdir)/cf/tk.ac \
$(top_srcdir)/cf/psttf.ac $(top_srcdir)/cf/wingcc.ac \
$(top_srcdir)/cf/aqt.ac $(top_srcdir)/cf/wxwidgets.ac \
$(top_srcdir)/cf/drivers-finish.ac $(top_srcdir)/cf/test.ac \
$(top_srcdir)/cf/docbook.ac $(top_srcdir)/cf/summary.ac \
$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h $(top_builddir)/include/plConfig.h \
$(top_builddir)/include/plDevs.h
CONFIG_CLEAN_FILES = bindings/tk-x-plat/pkgIndex.tcl \
doc/docbook/bin/api2man.pl doc/docbook/www/index.html.in
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(docdir)"
binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
SCRIPTS = $(bin_SCRIPTS)
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
html-recursive info-recursive install-data-recursive \
install-exec-recursive install-info-recursive \
install-recursive installcheck-recursive installdirs-recursive \
pdf-recursive ps-recursive uninstall-info-recursive \
uninstall-recursive
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
$(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
*) f=$$p;; \
esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
docDATA_INSTALL = $(INSTALL_DATA)
DATA = $(doc_DATA)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
{ test ! -d $(distdir) \
|| { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
&& rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /mnt/gmirror/ports/math/plplot/work/plplot-5.6.1/cf/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE =
AMTAR = ${SHELL} /mnt/gmirror/ports/math/plplot/work/plplot-5.6.1/cf/missing --run tar
AQTINCCMD =
AQTLIBCMD =
AR = ar
AS = as
AUTOCONF = ${SHELL} /mnt/gmirror/ports/math/plplot/work/plplot-5.6.1/cf/missing --run autoconf
AUTOHEADER = ${SHELL} /mnt/gmirror/ports/math/plplot/work/plplot-5.6.1/cf/missing --run autoheader
AUTOMAKE = ${SHELL} /mnt/gmirror/ports/math/plplot/work/plplot-5.6.1/cf/missing --run automake-1.9
AWK = gawk
BASE = plplot-5.6.1
BASE_HTML = plplot-html-5.6.1
BASE_INFO = plplot-info-5.6.1
BASE_MAN = plplot-man-5.6.1
BUILD_DIR = /mnt/gmirror/ports/math/plplot/work/plplot-5.6.1
CC = cc
CCDEPMODE = depmode=gcc3
CDINCCMD =
CDLIBCMD =
CFLAGS = -fno-common -mieee-fp
CONFTEST =
CPP = cc -E
CPPFLAGS =
CPP_SOVERSION = 11:0:2
CSALIBS = $(top_builddir)/lib/csa/libcsirocsa.la
CSIRO_SOVERSION = 0:1:0
CXX = c++
CXXCPP = c++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -fno-common -mieee-fp
CYGPATH_W = echo
DATA_DIR = ${datadir}/${PACKAGE}${VERSION}
DB2X_TEXIXML =
DB2X_XSLTPROC =
DB_SS_HTML_PUBID = -//Norman Walsh//DOCUMENT DocBook HTML Stylesheet//EN
DB_SS_PRINT_PUBID = -//Norman Walsh//DOCUMENT DocBook Print Stylesheet//EN
DEFINE_PL_DOUBLE = #define PL_DOUBLE
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIRNAME = dirname
DLLTOOL = dlltool
DLNAME_LIBPLPLOT =
DLNAME_LIBPLPLOTD =
DLNAME_LIBPLPLOTTCLTK =
DLNAME_LIBPLPLOTTCLTKD =
DOCBOOK2X_INC = -I/mnt/gmirror/ports/math/plplot/work/plplot-5.6.1/doc/docbook/perl
DOCBOOK_DTD_PUBID = -//OASIS//DTD DocBook XML V4.2//EN
DOC_DIR = ${datadir}/doc/plplot
DRV_DIR = ${libdir}/plplot5.6.1/driversd
DRV_HARDDIR = /lib/plplot5.6.1/driversd
DSSSL_DTD_PUBID = -//James Clark//DTD DSSSL Style Sheet//EN
DVIPS =
DYNAMIC_DRIVERS = gd.la hpgl.la mem.la null.la pbm.la plmeta.la ps.la xfig.la xwin.la
ECHO = echo
ECHO_C =
ECHO_N = -n
ECHO_T =
EGREP = grep -E
EXAMPLES_DIRECTORIES = c c++ f77
EXEEXT =
F77 = gfortran42
F77_SOVERSION = 10:0:1
F95_SOVERSION = 0:0:0
FC = gfortran42
FCFLAGS =
FFLAGS = -O
FREETYPEINCCMD = -I/usr/local/include/freetype2
FREETYPELIBCMD = -lfreetype
GCWTHREAD_CFLAGS =
GCWTHREAD_LIBS =
GCW_CFLAGS =
GCW_LIBS =
GDI32INCCMD =
GDI32LIBCMD =
GDINCCMD =
GDLIBCMD = -lgd -lpng -ljpeg -lz
GNOMELIBS =
GNOMEUI_LIBS =
GNOME_APPLETS_LIBS =
GNOME_CAPPLET_LIBS =
GNOME_CONFIG =
GNOME_INCLUDEDIR =
GNOME_LIBDIR =
GNOME_LIBS =
GNOME_PYTHON_CFLAGS =
GNOME_PYTHON_LIBS =
GTK_CFLAGS =
GTK_CONFIG =
GTK_LIBS =
HAVE_F77PARSE_CL_FALSE =
HAVE_F77PARSE_CL_TRUE = C
HTML_EXT = html
HTML_MANIFEST = HTML-MANIFEST
INCLTDL = -I${top_srcdir}/libltdl
INCLUDE_DIR = ${prefix}/include/plplot
INCLUDE_DIR_CMD = -I/include/plplot
INFO_MANIFEST = INFO-MANIFEST
INSTALL_DATA = install -o root -g wheel -m 444
INSTALL_PROGRAM = install -s -o root -g wheel -m 555
INSTALL_SCRIPT = install -o root -g wheel -m 555
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
ITCLINCCMD =
ITCLLIBCMD =
ITKLIBCMD =
JADELOG = jadeout.log
JADETEX =
JAR =
JAVAC =
JAVADATA_HARDDIR =
JAVAINCCMD =
JAVAWRAPPER_DIR =
JAVAWRAPPER_HARDDIR =
LDFLAGS = -L/usr/local/lib
LIBLTDL = ${top_builddir}/libltdl/libltdlc.la
LIBOBJS =
LIBS = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_DIR = ${libdir}
LIB_DIR_CMD = -L/lib
LIB_HARDDIR = /lib
LIB_TAG = d
LINUXVGALIBS =
LN_S = ln -s
LTLIBOBJS =
MAKEINFO = ${SHELL} /mnt/gmirror/ports/math/plplot/work/plplot-5.6.1/cf/missing --run makeinfo
MANVOL = 3plplot
MAN_MANIFEST = MAN-MANIFEST
MATWRAP =
MKINDEX = ./scripts/mktclIndex -tcl
MKOCTFILE =
MKOCTFILE_VARS =
MODULESINCCMD =
NNLIBS =
NUMERICINCCMD =
OBJDUMP = objdump
OBJEXT =
OCTAVE =
OCTAVE_M_DIR =
OCTAVE_OCT_DIR =
OCTAVE_VERSION =
ONSGMLS = onsgmls
OPENJADE =
PACKAGE = plplot
PACKAGE_BUGREPORT = plplot-devel@lists.sourceforge.net
PACKAGE_NAME = plplot
PACKAGE_STRING = plplot 5.6.1
PACKAGE_TARNAME = plplot
PACKAGE_VERSION = 5.6.1
PATH_SEPARATOR = :
PDFJADETEX =
PERL = perl
PKG_CONFIG = /usr/local/bin/pkg-config
PKG_CONFIG_CHECK = found
PKG_CONFIG_DIR = ${prefix}/libdata/pkgconfig
PKG_CONFIG_ENV = PKG_CONFIG_PATH=/libdata/pkgconfig
PLPLOTGNOME_SOVERSION = 0:0:0
PLPLOTJAVAC_WRAP_DLL =
PLPLOT_OCTAVE_DIR =
PLPLOT_TCL_VERSION = 5
PLPLOT_WEBSITE = plplot.sf.net
PSTTF_CFLAGS =
PSTTF_LIBS =
PTHREADLIBS =
PYGCW_CFLAGS =
PYGCW_LIBS =
PYTHON = /usr/local/bin/python
PYTHONINCCMD =
PYTHON_CPPFLAGS = -I/usr/local/include/python2.3
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_EXTRA_LDFLAGS = -framework System
PYTHON_EXTRA_LIBS = -lxpg4 -ldl
PYTHON_INSTDIR = /lib/python2.3/site-packages
PYTHON_LDFLAGS = -L/usr/local/lib/python2.3 -lpython2.3
PYTHON_PLATFORM = darwin
PYTHON_PREFIX = ${prefix}
PYTHON_SITE_PKG = /usr/local/lib/python2.3/site-packages
PYTHON_VERSION = 2.3
QHULLLIBS =
RANLIB = ranlib
RCP = scp
RELEASE_DATE = 2006-05-29
RPATH = -rpath $(libdir)
RPATHCMD = -Wl,-rpath -Wl,/lib
RSH = ssh
SET_MAKE =
SGML_CATALOGS =
SHELL = /bin/sh
SOVERSION = 11:0:2
STATIC_DRIVERS =
STRIP = strip
SWIG = echo "Error: SWIG is not installed. You should look at http://www.swig.org" ; false
SWIG_LIB =
TARGETS = print html info man
TCLINCCMD =
TCLLIBCMD = -L/usr/local/lib -ltcl8.3
TCL_DIR = ${datadir}/${PACKAGE}${VERSION}/tcl
TKINCCMD =
TKLIBCMD =
UNICODEINCS =
UNICODELIBS =
UNICODE_CONFIG =
VERSION = 5.6.1
WWW_DIR = /home/groups/p/pl/plplot/htdocs/docbook-manual
WWW_GROUP = plplot
WWW_HOST = shell1.sourceforge.net
WWW_USER =
WXWIDGETSINCCMD =
WXWIDGETSLIBCMD =
XML_DECL = /usr/share/xml/declaration/xml.dcl
X_CFLAGS =
X_EXTRA_LIBS =
X_LIBS =
X_PRE_LIBS =
ac_ct_AR = ar
ac_ct_AS =
ac_ct_CC =
ac_ct_CXX =
ac_ct_DLLTOOL =
ac_ct_F77 =
ac_ct_FC =
ac_ct_OBJDUMP =
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE =
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE =
am__include = include
am__leading_dot = .
am__quote =
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i386-unknown-gnu
build_alias = i386-unknown-gnu
build_cpu = i386
build_os = gnu
build_vendor = unknown
cc_is_gcc_FALSE =
cc_is_gcc_TRUE = #
darwin_os_FALSE =
darwin_os_TRUE = #
datadir = ${prefix}/share
docbook_build_FALSE = #
docbook_build_TRUE =
enable_cxx = yes
enable_cxx_FALSE = #
enable_cxx_TRUE =
enable_docbook_FALSE =
enable_docbook_TRUE = #
enable_dyndrivers_FALSE = #
enable_dyndrivers_TRUE =
enable_f77 = yes
enable_f77_FALSE = #
enable_f77_TRUE =
enable_f95 = no
enable_f95_FALSE =
enable_f95_TRUE = #
enable_gcw = no
enable_gcw_FALSE =
enable_gcw_TRUE = #
enable_gnome_FALSE =
enable_gnome_TRUE = #
enable_itcl_FALSE =
enable_itcl_TRUE = #
enable_java = no
enable_java_FALSE =
enable_java_TRUE = #
enable_octave = no
enable_octave_FALSE =
enable_octave_TRUE = #
enable_pdl = no
enable_pdl_FALSE =
enable_pdl_TRUE = #
enable_pygcw_FALSE =
enable_pygcw_TRUE = #
enable_python = no
enable_python_FALSE =
enable_python_TRUE = #
enable_tcl = yes
enable_tcl_FALSE = #
enable_tcl_TRUE =
enable_tk_FALSE =
enable_tk_TRUE = #
enable_tkwin_FALSE =
enable_tkwin_TRUE = #
enable_xwin_FALSE = #
enable_xwin_TRUE =
exec_prefix =
found_kcc =
gcw_false =
gcw_true = #
has_db2x_texixml =
has_db2x_xsltproc =
has_dvips =
has_file_cmd = yes
has_jadetex =
has_makeinfo =
has_matwrap =
has_mkoctfile =
has_octave =
has_onsgmls = found
has_onsgmls_FALSE = #
has_onsgmls_TRUE =
has_openjade =
has_pdfjadetex =
has_perl = found
has_xml_pm_FALSE =
has_xml_pm_TRUE = #
host = i386-unknown-gnu
host_alias = i386-unknown-gnu
host_cpu = i386
host_os = gnu
host_vendor = unknown
ifGNUmake =
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /mnt/gmirror/ports/math/plplot/work/plplot-5.6.1/cf/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pkg_config_false = #
pkg_config_true =
pkgpyexecdir = ${pyexecdir}/plplot
pkgpythondir = ${pythondir}/plplot
prefix =
program_transform_name = s,x,x,
pyexecdir = ${exec_prefix}/lib/python2.3/site-packages
pythondir = ${prefix}/lib/python2.3/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = libltdl
sysconfdir = ${prefix}/etc
target_alias = i386-unknown-gnu
with_csa_FALSE = #
with_csa_TRUE =
with_double_FALSE = #
with_double_TRUE =
with_ltdlsystem_FALSE =
with_ltdlsystem_TRUE = #
with_pkg_config_FALSE = #
with_pkg_config_TRUE =
with_qhull_FALSE =
with_qhull_TRUE = #
with_rpath_FALSE = #
with_rpath_TRUE =
ACLOCAL_AMFLAGS = -I cf 2>&1 | grep -v underquoted
# The above is an inspired hack which may not work indefinitely.
# Return to simpler more reliable form below as soon as
# automake-1.8 underquoted warning messages quit being such an annoyance.
#ACLOCAL_AMFLAGS = -I cf
src_dirs = fonts lib include src data bindings
other_dirs = examples utils test scripts doc pkgcfg cf
#SUBDIRS = drivers $(src_dirs) $(other_dirs)
SUBDIRS = $(am__append_1) $(src_dirs) drivers \
$(other_dirs)
DIST_SUBDIRS = libltdl $(src_dirs) drivers $(other_dirs)
bin_SCRIPTS = plplot_libtool
docdir = $(datadir)/doc/plplot
doc_DATA = \
AUTHORS \
COPYING.LIB \
ChangeLog \
Copyright \
FAQ \
NEWS \
PROBLEMS \
README \
README.release
CLEANFILES = plplot_libtool jadeout.log config.summary
EXTRA_DIST = \
rpm \
sys \
Copyright \
FAQ \
PROBLEMS \
README.developers \
README.release \
OLD-README.release \
README.Release_Manager_Cookbook \
SERVICE \
TODO.AM-LT \
ToDo
all: config.h
$(MAKE) $(AM_MAKEFLAGS) all-recursive
.SUFFIXES:
am--refresh:
@:
$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
@for dep in $?; do \
case '$(am__configure_deps)' in \
*$$dep*) \
echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
cd $(srcdir) && $(AUTOMAKE) --gnu \
&& exit 0; \
exit 1;; \
esac; \
done; \
echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
cd $(top_srcdir) && \
$(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \
*config.status*) \
echo ' $(SHELL) ./config.status'; \
$(SHELL) ./config.status;; \
*) \
echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
esac;
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
$(SHELL) ./config.status --recheck
$(top_srcdir)/configure: $(am__configure_deps)
cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): $(am__aclocal_m4_deps)
cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
config.h: stamp-h1
@if test ! -f $@; then \
rm -f stamp-h1; \
$(MAKE) stamp-h1; \
else :; fi
stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
@rm -f stamp-h1
cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in: $(am__configure_deps)
cd $(top_srcdir) && $(AUTOHEADER)
rm -f stamp-h1
touch $@
distclean-hdr:
-rm -f config.h stamp-h1
bindings/tk-x-plat/pkgIndex.tcl: $(top_builddir)/config.status $(top_srcdir)/bindings/tk-x-plat/pkgIndex.tcl.in
cd $(top_builddir) && $(SHELL) ./config.status $@
doc/docbook/bin/api2man.pl: $(top_builddir)/config.status $(top_srcdir)/doc/docbook/bin/api2man.pl.in
cd $(top_builddir) && $(SHELL) ./config.status $@
doc/docbook/www/index.html.in: $(top_builddir)/config.status $(top_srcdir)/doc/docbook/www/index.html.in.in
cd $(top_builddir) && $(SHELL) ./config.status $@
install-binSCRIPTS: $(bin_SCRIPTS)
@$(NORMAL_INSTALL)
test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
@list='$(bin_SCRIPTS)'; for p in $$list; do \
if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
if test -f $$d$$p; then \
f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
$(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
else :; fi; \
done
uninstall-binSCRIPTS:
@$(NORMAL_UNINSTALL)
@list='$(bin_SCRIPTS)'; for p in $$list; do \
f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
rm -f "$(DESTDIR)$(bindir)/$$f"; \
done
mostlyclean-libtool:
-rm -f *.lo
clean-libtool:
-rm -rf .libs _libs
distclean-libtool:
-rm -f libtool
uninstall-info-am:
install-docDATA: $(doc_DATA)
@$(NORMAL_INSTALL)
test -z "$(docdir)" || $(mkdir_p) "$(DESTDIR)$(docdir)"
@list='$(doc_DATA)'; for p in $$list; do \
if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
f=$(am__strip_dir) \
echo " $(docDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(docdir)/$$f'"; \
$(docDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(docdir)/$$f"; \
done
uninstall-docDATA:
@$(NORMAL_UNINSTALL)
@list='$(doc_DATA)'; for p in $$list; do \
f=$(am__strip_dir) \
echo " rm -f '$(DESTDIR)$(docdir)/$$f'"; \
rm -f "$(DESTDIR)$(docdir)/$$f"; \
done
# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
# (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
@failcom='exit 1'; \
for f in x $$MAKEFLAGS; do \
case $$f in \
*=* | --[!k]*);; \
*k*) failcom='fail=yes';; \
esac; \
done; \
dot_seen=no; \
target=`echo $@ | sed s/-recursive//`; \
list='$(SUBDIRS)'; for subdir in $$list; do \
echo "Making $$target in $$subdir"; \
if test "$$subdir" = "."; then \
dot_seen=yes; \
local_target="$$target-am"; \
else \
local_target="$$target"; \
fi; \
(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
|| eval $$failcom; \
done; \
if test "$$dot_seen" = "no"; then \
$(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
fi; test -z "$$fail"
mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
@failcom='exit 1'; \
for f in x $$MAKEFLAGS; do \
case $$f in \
*=* | --[!k]*);; \
*k*) failcom='fail=yes';; \
esac; \
done; \
dot_seen=no; \
case "$@" in \
distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
*) list='$(SUBDIRS)' ;; \
esac; \
rev=''; for subdir in $$list; do \
if test "$$subdir" = "."; then :; else \
rev="$$subdir $$rev"; \
fi; \
done; \
rev="$$rev ."; \
target=`echo $@ | sed s/-recursive//`; \
for subdir in $$rev; do \
echo "Making $$target in $$subdir"; \
if test "$$subdir" = "."; then \
local_target="$$target-am"; \
else \
local_target="$$target"; \
fi; \
(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
|| eval $$failcom; \
done && test -z "$$fail"
tags-recursive:
list='$(SUBDIRS)'; for subdir in $$list; do \
test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
done
ctags-recursive:
list='$(SUBDIRS)'; for subdir in $$list; do \
test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
done
ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
mkid -fID $$unique
tags: TAGS
TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
tags=; \
here=`pwd`; \
if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
include_option=--etags-include; \
empty_fix=.; \
else \
include_option=--include; \
empty_fix=; \
fi; \
list='$(SUBDIRS)'; for subdir in $$list; do \
if test "$$subdir" = .; then :; else \
test ! -f $$subdir/TAGS || \
tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
fi; \
done; \
list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
test -n "$$unique" || unique=$$empty_fix; \
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
$$tags $$unique; \
fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
tags=; \
here=`pwd`; \
list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
test -z "$(CTAGS_ARGS)$$tags$$unique" \
|| $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
$$tags $$unique
GTAGS:
here=`$(am__cd) $(top_builddir) && pwd` \
&& cd $(top_srcdir) \
&& gtags -i $(GTAGS_ARGS) $$here
distclean-tags:
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
distdir: $(DISTFILES)
$(am__remove_distdir)
mkdir $(distdir)
$(mkdir_p) $(distdir)/bindings/f77 $(distdir)/bindings/java $(distdir)/bindings/octave $(distdir)/bindings/octave/PLplot $(distdir)/bindings/tcl $(distdir)/bindings/tk $(distdir)/bindings/tk-x-plat $(distdir)/cf $(distdir)/doc/docbook/bin $(distdir)/doc/docbook/src $(distdir)/doc/docbook/www $(distdir)/examples/c $(distdir)/examples/c++ $(distdir)/examples/f77 $(distdir)/examples/f95 $(distdir)/examples/java $(distdir)/examples/python $(distdir)/examples/tk $(distdir)/pkgcfg $(distdir)/scripts $(distdir)/test
@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
list='$(DISTFILES)'; for file in $$list; do \
case $$file in \
$(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
$(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
esac; \
if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
if test "$$dir" != "$$file" && test "$$dir" != "."; then \
dir="/$$dir"; \
$(mkdir_p) "$(distdir)$$dir"; \
else \
dir=''; \
fi; \
if test -d $$d/$$file; then \
if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
fi; \
cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
else \
test -f $(distdir)/$$file \
|| cp -p $$d/$$file $(distdir)/$$file \
|| exit 1; \
fi; \
done
list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
if test "$$subdir" = .; then :; else \
test -d "$(distdir)/$$subdir" \
|| $(mkdir_p) "$(distdir)/$$subdir" \
|| exit 1; \
distdir=`$(am__cd) $(distdir) && pwd`; \
top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
(cd $$subdir && \
$(MAKE) $(AM_MAKEFLAGS) \
top_distdir="$$top_distdir" \
distdir="$$distdir/$$subdir" \
distdir) \
|| exit 1; \
fi; \
done
$(MAKE) $(AM_MAKEFLAGS) \
top_distdir="$(top_distdir)" distdir="$(distdir)" \
dist-hook
-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
! -type d ! -perm -400 -exec chmod a+r {} \; -o \
! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
|| chmod -R a+r $(distdir)
dist-gzip: distdir
tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
$(am__remove_distdir)
dist-bzip2: distdir
tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
$(am__remove_distdir)
dist-tarZ: distdir
tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
$(am__remove_distdir)
dist-shar: distdir
shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
$(am__remove_distdir)
dist-zip: distdir
-rm -f $(distdir).zip
zip -rq $(distdir).zip $(distdir)
$(am__remove_distdir)
dist dist-all: distdir
tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
$(am__remove_distdir)
# This target untars the dist file and tries a VPATH configuration. Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
case '$(DIST_ARCHIVES)' in \
*.tar.gz*) \
GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
*.tar.bz2*) \
bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
*.tar.Z*) \
uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
*.shar.gz*) \
GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
*.zip*) \
unzip $(distdir).zip ;;\
esac
chmod -R a-w $(distdir); chmod a+w $(distdir)
mkdir $(distdir)/_build
mkdir $(distdir)/_inst
chmod a-w $(distdir)
dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
&& dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
&& cd $(distdir)/_build \
&& ../configure --srcdir=.. --prefix="$$dc_install_base" \
$(DISTCHECK_CONFIGURE_FLAGS) \
&& $(MAKE) $(AM_MAKEFLAGS) \
&& $(MAKE) $(AM_MAKEFLAGS) dvi \
&& $(MAKE) $(AM_MAKEFLAGS) check \
&& $(MAKE) $(AM_MAKEFLAGS) install \
&& $(MAKE) $(AM_MAKEFLAGS) installcheck \
&& $(MAKE) $(AM_MAKEFLAGS) uninstall \
&& $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
distuninstallcheck \
&& chmod -R a-w "$$dc_install_base" \
&& ({ \
(cd ../.. && umask 077 && mkdir "$$dc_destdir") \
&& $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
&& $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
&& $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
} || { rm -rf "$$dc_destdir"; exit 1; }) \
&& rm -rf "$$dc_destdir" \
&& $(MAKE) $(AM_MAKEFLAGS) dist \
&& rm -rf $(DIST_ARCHIVES) \
&& $(MAKE) $(AM_MAKEFLAGS) distcleancheck
$(am__remove_distdir)
@(echo "$(distdir) archives ready for distribution: "; \
list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
distuninstallcheck:
@cd $(distuninstallcheck_dir) \
&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
|| { echo "ERROR: files left after uninstall:" ; \
if test -n "$(DESTDIR)"; then \
echo " (check DESTDIR support)"; \
fi ; \
$(distuninstallcheck_listfiles) ; \
exit 1; } >&2
distcleancheck: distclean
@if test '$(srcdir)' = . ; then \
echo "ERROR: distcleancheck can only run from a VPATH build" ; \
exit 1 ; \
fi
@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
|| { echo "ERROR: files left in build directory after distclean:" ; \
$(distcleancheck_listfiles) ; \
exit 1; } >&2
check-am: all-am
check: check-recursive
all-am: Makefile $(SCRIPTS) $(DATA) config.h
installdirs: installdirs-recursive
installdirs-am:
for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(docdir)"; do \
test -z "$$dir" || $(mkdir_p) "$$dir"; \
done
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
installcheck: installcheck-recursive
install-strip:
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
`test -z '$(STRIP)' || \
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:
clean-generic:
-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
maintainer-clean-generic:
@echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive
clean-am: clean-generic clean-libtool mostlyclean-am
distclean: distclean-recursive
-rm -f $(am__CONFIG_DISTCLEAN_FILES)
-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-hdr \
distclean-libtool distclean-tags
dvi: dvi-recursive
dvi-am:
html: html-recursive
info: info-recursive
info-am:
install-data-am:
install-exec-am: install-binSCRIPTS
install-info: install-info-recursive
install-man:
installcheck-am:
maintainer-clean: maintainer-clean-recursive
-rm -f $(am__CONFIG_DISTCLEAN_FILES)
-rm -rf $(top_srcdir)/autom4te.cache
-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic
mostlyclean: mostlyclean-recursive
mostlyclean-am: mostlyclean-generic mostlyclean-libtool
pdf: pdf-recursive
pdf-am:
ps: ps-recursive
ps-am:
uninstall-am: uninstall-binSCRIPTS uninstall-docDATA uninstall-info-am
uninstall-info: uninstall-info-recursive
.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
check-am clean clean-generic clean-libtool clean-recursive \
ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
dist-hook dist-shar dist-tarZ dist-zip distcheck distclean \
distclean-generic distclean-hdr distclean-libtool \
distclean-recursive distclean-tags distcleancheck distdir \
distuninstallcheck dvi dvi-am html html-am info info-am \
install install-am install-binSCRIPTS install-data \
install-data-am install-docDATA install-exec install-exec-am \
install-info install-info-am install-man install-strip \
installcheck installcheck-am installdirs installdirs-am \
maintainer-clean maintainer-clean-generic \
maintainer-clean-recursive mostlyclean mostlyclean-generic \
mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
tags tags-recursive uninstall uninstall-am \
uninstall-binSCRIPTS uninstall-docDATA uninstall-info-am
plplot_libtool: libtool
cp libtool plplot_libtool
dist-hook:
rm -rf `find $(distdir) -name CVS -o -name .cvsignore`
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
syntax highlighted by Code2HTML, v. 0.9.1